#!/bin/ksh

# THis script takes as its argument, the name of the menu to auto-generate.
# It may also take a second argument, which will be an option to pkglist
#  Why are we taking the time to actually generate a Menu in a tmpfile?
# Because fmli is stupid, and gets wierd if you try to give it Menu
# information outputted from awk, or certain other "special" programs.

MENU="$1"
TMPLFILE="$MENUDIR/Tmpl.$MENU"
GENFILE="$DYNAMICDIR/Menu.$MENU"

if [ ! -f "$TMPLFILE" ] ; then
	print ERROR: file $TMPLFILE does not exist
	exit 1
fi

if [ ! -d "$DYNAMICDIR" ] ; then
	print ERROR: dir "$DYNAMICDIR" does not exist
	exit 1
fi

sed  '/^#BUTTONS-HERE$/,$d' $TMPLFILE> $GENFILE
if [ $? -ne 0 ] ; then
	print ERROR: cannot create $GENFILE >/dev/fd/2
	sleep 1
	exit 1
fi

$MENUDIR/pkglist $2 >>$GENFILE

print >>$GENFILE
sed  '1,/^#BUTTONS-HERE$/d' $TMPLFILE >>$GENFILE


